# QTouchEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QInputEvent.

### Constructor

- void QTouchEvent(Type eventType, DeviceType deviceType, KeyboardModifiers modifiers, TouchPointStates touchPointStates, List touchPoints)

### Constructor Properties

- prototype: The QTouchEvent prototype object
- TouchScreen
- TouchPad
- DeviceType( value )

### Prototype Object Properties

The QTouchEvent prototype object inherits properties from the QInputEvent prototype object and also has the following properties.

- DeviceType deviceType()
- void setDeviceType(DeviceType adeviceType)
- void setTouchPointStates(TouchPointStates aTouchPointStates)
- void setTouchPoints(List atouchPoints)
- void setWidget(QWidget awidget)
- TouchPointStates touchPointStates()
- List touchPoints()
- QWidget widget()

### Instance Properties

QTouchEvent objects have no special properties beyond those inherited from the QTouchEvent prototype object.